Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## toolkit.db.api
Class TableInfo

    java.lang.Object
      toolkit.db.api.TableInfo

    public class TableInfo

extends java.lang.Object

An infomation package of table.

Constructor Summary
`TableInfo(java.lang.String sMappingName, java.lang.String sTableName, java.lang.String sCorrelationName, java.lang.String sSchemaName, java.lang.String sCatalogName)` Constructs a TableInfo with specified parameters.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Compares this TableInfo to the specified object.
`java.lang.String` | `getCatalogName()` Gets the catalog name of this TableInfo.
`java.lang.String` | `getCorrelationName()` Gets the correlation name of this TableInfo.
`java.lang.String` | `getMappingName()` Gets the mapping name of this TableInfo.
`java.lang.String` | `getSchemaName()` Gets the chema name of this TableInfo.
`java.lang.String` | `getTableName()` Gets the table name of this TableInfo.
`java.lang.String` | `toString()` Returns a string representation of this TableInfo's values.

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TableInfo

    public TableInfo(java.lang.String sMappingName,
                     java.lang.String sTableName,
                     java.lang.String sCorrelationName,
                     java.lang.String sSchemaName,
                     java.lang.String sCatalogName)

  Constructs a TableInfo with specified parameters.

  Parameters:
    `sMappingName` - The mapping name of the table.
    `sTableName` - The real database name of the table.
    `sCorrelationName` - The correlation name of the table.
    `sSchemaName` - The schema name of the table.
    `sCatalogName` - The catalog name of the table.

Method Detail

### getMappingName

    public java.lang.String getMappingName()

  Gets the mapping name of this TableInfo.

  Returns:
    mapping name of the table.

### getTableName

    public java.lang.String getTableName()

  Gets the table name of this TableInfo.

  Returns:
    table name of the table.

### getCorrelationName

    public java.lang.String getCorrelationName()

  Gets the correlation name of this TableInfo.

  Returns:
    correlaion name of the table.

### getSchemaName

    public java.lang.String getSchemaName()

  Gets the chema name of this TableInfo.

  Returns:
    schema name of the table.

### getCatalogName

    public java.lang.String getCatalogName()

  Gets the catalog name of this TableInfo.

  Returns:
    catalog name of the table.

### equals

    public boolean equals(java.lang.Object obj)

  Compares this TableInfo to the specified object.

  Overrides:
    `equals` in class `java.lang.Object`
  Returns:
    true if the TableInfo are equal, false otherwise.

### toString

    public java.lang.String toString()

  Returns a string representation of this TableInfo's values. The format is as follows:

  >       className@hashCode[ mappingName | tableName | correlationName | schemaName |
  >                           catalogName ]

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of this TableInfo.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD